Loading...
Searching...
No Matches
gx_system::SkinHandling Class Reference

`#include <gx_system.h>`

## Public Member Functions

| SkinHandling (const std::string &styledir)
void | set_styledir (const std::string &styledir)
bool | is_in_list (const std::string &skin_name)
const Glib::ustring & | operator[] (unsigned int idx)
unsigned int | index (const Glib::ustring &skin_name)
string | get_cssfile () const
void | set_default_skin_name ()

## Public Attributes

Glib::ustring | name
std::vector< Glib::ustring > | skin_list

## Detailed Description

Definition at line 278 of file gx_system.h.

## Constructor & Destructor Documentation

## SkinHandling()

gx_system::SkinHandling::SkinHandling | ( | const std::string & | styledir | ) |

inline

Definition at line 282 of file gx_system.h.

## Member Function Documentation

## get_cssfile()

string gx_system::SkinHandling::get_cssfile | ( |  | ) | const

## index()

unsigned int gx_system::SkinHandling::index | ( | const Glib::ustring & | skin_name | ) |

## is_in_list()

bool gx_system::SkinHandling::is_in_list | ( | const std::string & | skin_name | ) |

## operator[]()

const Glib::ustring & gx_system::SkinHandling::operator[] | ( | unsigned int | idx | ) |

## set_default_skin_name()

void gx_system::SkinHandling::set_default_skin_name | ( |  | ) |

## set_styledir()

void gx_system::SkinHandling::set_styledir | ( | const std::string & | styledir | ) |

Referenced by SkinHandling().

## Member Data Documentation

## name

Glib::ustring gx_system::SkinHandling::name

Definition at line 280 of file gx_system.h.

Referenced by SkinHandling().

## skin_list

std::vector<Glib::ustring> gx_system::SkinHandling::skin_list

Definition at line 281 of file gx_system.h.

Referenced by SkinHandling().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h